/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * E.P. Scene Graph
 * Developed by:
 *       - Eduardo Ribeiro (eribeiro @ tecgraf . puc-rio . br)
 *       - Peter Dam (peter @ tecgraf . puc-rio . br)
 * File: Node.h
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#ifndef _EPSG_NODE_
#define _EPSG_NODE_

namespace EPSG
{
	class Node
	{
	public:
		/* [CONSTRUCTOR] */	Node();

		virtual bool		setupCamera();
		virtual int			setupLights();
		virtual void		render();
	};
}

#endif //_EPSG_NODE_